Kerbal Space Program - Feedback #9525

[Feature Request] Toggle-able One-Time Science Experiment (Goo, Science Jr.) Warning
04/27/2016 05:25 PM - Zhetaan

Status: Closed

Severity: Low

Assignee:

Category: Controls and Ul

Target version: 1.8.0

Version: 1.6.1 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

This is mostly a quality-of-life request: When | gather data from non-rerunnable science experiments, I'd like to be able to toggle off
the warning that | can only reset those experiments with a Scientist.

For a somewhat similar example, the first time the player uses high physical time warp, there is a warning that doing so can destroy
vessels, but it is also possible for the player to ignore the warning in the future with a 'Don't Show Me Again' checkbox. That's
essentially what | would like to see here: a 'Don't Show Me Again' option for the non-rerunnable science experiments.

| call this a quality-of-life request because the only time | really find it annoying is when I'm doing Goo experiments at the KSC
microbiomes, but it nevertheless would be much appreciated if you could please look into it.

History

#1 - 04/28/2016 08:30 PM - jd284
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Agreed, | posted this as #8763 during the pre but maybe now is a better time to get it implemented.

That said, for now | just make the experiments rerunnable using ModuleManager.

#3 - 07/17/2016 09:48 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/20/2016 01:18 AM - Zhetaan
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

This behaviour does still exist, exactly as described, in 1.1.3.
If you really, really want reproduction steps:

Create a craft with a Mk. | Pod and attached Mystery Goo container.

Launch.

Run the Mystery Goo experiment on the pad.

EVA and attempt to collect the science from the experiment via right-click dialogue.
Notice the unavoidable warning dialogue.
This also occurs with the Science Jr. and any other experiments set to 'Rerunnable = False' in the ModuleScienceExperiment section of the cfg, and
additionally when attempting to transmit the science rather than collecting it on EVA.

To reiterate: the desired behaviour is for the dialogue to have a checkbox or other setting to disable it or otherwise prevent its appearance, much the
same as the first-time warning dialogue given to players using high rates of physical time warp.

#6 - 11/15/2017 04:23 PM - Zhetaan
- Category changed from 92 to 36
- Version changed from 1.1.0 to 1.3.1

| changed this to a Ul issue because | think it fits better there. Of course, the issue still exists, and at the risk of sounding too sarcastic, | will say that
after more than a year and one half, | am quite aware that only scientists may reset experiments. Really, | am. No, really. | getit. May we please

get a button to silence that alert?

#7 - 07/17/2018 03:03 PM - Zhetaan
- Severity changed from Unworthy to Very Low
- Version changed from 1.3.1 to 1.4.4

Updating once again.

#8 - 07/18/2018 07:45 AM - Zavain

Personally | find the warning annoying every time | do materials science or goo experiments. If adding a don't show again warning is too difficult,
maybe just add another option (on one of the ksp setting pages) to suppress the warning.

#9 - 09/05/2018 01:36 PM - Zhetaan
- Severity changed from Very Low to Low
- Version changed from 1.4.4 to 1.4.5

- Expansion Core Game added

And another version update.

#10 - 01/10/2019 03:23 PM - Zhetaan
- Version changed from 1.4.5 to 1.6.1

Updating the version yet again.

#11 - 11/08/2019 12:10 AM - nestor
- Status changed from Updated to Ready to Test

- Target version set to 1.8.0

#12 - 02/21/2020 01:36 AM - chris.fulton

- Status changed from Ready to Test to Resolved

#13 - 02/21/2020 01:36 AM - chris.fulton

- Status changed from Resolved to Closed
